Unable to use /api/puppetclasses/:id

01/02/2013 08:41 AM - Jan Vansteenkiste

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Returns:

{

"error": {

"message": "Missing template api/v1/puppetclasses/show with {:formats=>[:json], :locale=>[:en, :en], :handlers=>[:rxml, :erb, :rjs,

:rhtml, :builder, :rabl]} in view paths \"/usr/share/foreman/app/views\", \"/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.13/app/views\""

}

}

History

#1 - 07/30/2013 07:29 AM - Joseph Magen

- Status changed from New to Feedback

There is no :show action in v1/puppetclasses_controller which is why you are getting the missing template error.

The functionality that you are looking for does exist in v2. Just pass version=2 in the header like this

curl -s -H "Accept:application/json,version=2" -k -u $USER:$PASS --get https://$HOST/api/puppetclasses/10

#2 - 07/31/2013 04:47 AM - Joseph Magen

- Description updated

- Status changed from Feedback to Closed
